com.h3c.of.lib.match

## Enum OxmClass

- java.lang.Object
- - java.lang.Enum<OxmClass>
  - - com.h3c.of.lib.match.OxmClass

- All Implemented Interfaces:
    Serializable, Comparable<OxmClass>

      public enum OxmClass
      extends Enum<OxmClass>

  Denotes the OXM match classes.

  See also the ONF Registry.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BIG_SWITCH` Big Switch Networks; Since 1.3.
    `EXPERIMENTER` Experimenter class; Since 1.2.
    `H3C` H3C; Since 1.3.
    `NXM_0` Nicira Networks (NXM compatibility); Since 1.2.
    `NXM_1` Nicira Networks (NXM compatibility); Since 1.2.
    `OPENFLOW_BASIC` Basic class for OpenFlow; Since 1.2.
    `UNKNOWN` Special value to represent an unknown OXM class.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getCode()` Returns the code value for this OXM Class.
    `boolean` | `isReservedClass()` Returns true if this class is an ONF reserved class.
    `static OxmClass` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static OxmClass[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NXM_0

          public static final OxmClass NXM_0

      Nicira Networks (NXM compatibility); Since 1.2.

    - #### NXM_1

          public static final OxmClass NXM_1

      Nicira Networks (NXM compatibility); Since 1.2.

    - #### BIG_SWITCH

          public static final OxmClass BIG_SWITCH

      Big Switch Networks; Since 1.3.

    - #### H3C

          public static final OxmClass H3C

      H3C; Since 1.3.

    - #### OPENFLOW_BASIC

          public static final OxmClass OPENFLOW_BASIC

      Basic class for OpenFlow; Since 1.2.

    - #### EXPERIMENTER

          public static final OxmClass EXPERIMENTER

      Experimenter class; Since 1.2.

    - #### UNKNOWN

          public static final OxmClass UNKNOWN

      Special value to represent an unknown OXM class.

  - ### Method Detail

    - #### values

          public static OxmClass[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (OxmClass c : OxmClass.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static OxmClass valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getCode

          public int getCode()

      Returns the code value for this OXM Class.
      Returns:
        the code

    - #### isReservedClass

          public boolean isReservedClass()

      Returns true if this class is an ONF reserved class.
      Returns:
        true if an ONF reserved class

Copyright © 2014. All Rights Reserved.